#
# spec file for package mozilla-cs (Version 1.7.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# neededforbuild  mozilla

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool mozilla perl rpm

Name:           mozilla-cs
License:        GPL
Group:          Productivity/Networking/Web/Browsers
Version:        1.7.5
Release:        4.6
Autoreqprov:    on
PreReq:         mozilla >= %{version}, mozilla < 1.8
Source0:        mozilla-%{version}-csCZ-langpack.zip
Source1:        mozilla-cs-chrome
Source2:        locale-cs
URL:            http://www.czilla.cz/l10n/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Czech Language Pack for Mozilla

%description
Czech Language Pack for Mozilla adds Czech localisation and Czech
region to Mozilla.



Authors:
--------
    Radek Vybiral <kedar1@centrum.cz>

%define prefix   /opt/mozilla
%prep
cd $RPM_BUILD_DIR
unzip -o %{SOURCE0}
mkdir -p langcscz
cd langcscz
unzip -o ../langcscz.xpi
cd ..
mkdir -p regcz
cd regcz
unzip -o ../regcz.xpi
cd ..

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%prefix/%_lib
cp -R $RPM_BUILD_DIR/langcscz/bin/* $RPM_BUILD_ROOT/%prefix/%_lib
cp -R $RPM_BUILD_DIR/regcz/bin/* $RPM_BUILD_ROOT/%prefix/%_lib
mkdir -p $RPM_BUILD_ROOT%prefix/installed-chrome.d/locales
cp %{SOURCE1} $RPM_BUILD_ROOT%prefix/installed-chrome.d/mozilla-cs
cp %{SOURCE2} $RPM_BUILD_ROOT%prefix/installed-chrome.d/locales/cs
# conflict http://bugzilla.czilla.cz/show_bug.cgi?id=542
rm $RPM_BUILD_ROOT/opt/mozilla/%_lib/searchplugins/google.*
# Windows only, potential conflict http://bugzilla.czilla.cz/show_bug.cgi?id=541
rm $RPM_BUILD_ROOT/opt/mozilla/%_lib/mozilla.bmp
# Windows / Mac version
rm $RPM_BUILD_ROOT/opt/mozilla/%_lib/chrome/cs-mac.jar
rm $RPM_BUILD_ROOT/opt/mozilla/%_lib/chrome/cs-win.jar
cd $RPM_BUILD_ROOT
find -type f | sed s:^:/: >$OLDPWD/files.lst

%pre
/opt/mozilla/bin/rebuild-databases.sh --pre

%post
/opt/mozilla/bin/rebuild-databases.sh --post

%preun
[ -e /opt/mozilla/bin/rebuild-databases.sh ] && \
  /opt/mozilla/bin/rebuild-databases.sh --pre

%postun
[ -e /opt/mozilla/bin/rebuild-databases.sh ] && \
  /opt/mozilla/bin/rebuild-databases.sh --post

%clean
rm -rf $RPM_BUILD_ROOT

%files -f files.lst
%defattr(-, root, root)
%dir /opt/mozilla/%_lib/defaults/isp
%dir /opt/mozilla/%_lib/*/*/CZ
%dir /opt/mozilla/%_lib/defaults/profile/CZ/chrome

%changelog -n mozilla-cs
* Tue Apr 19 2005 - sbrabec@suse.cz
- Updated to version 1.7.5.
* Tue Nov 02 2004 - stark@suse.de
- added locale mapping (#44956)
* Tue Feb 10 2004 - sbrabec@suse.cz
- Biarch fix. Removed noarch flag.
* Mon Feb 09 2004 - sbrabec@suse.cz
- Updated to version 1.6.
* Fri Feb 06 2004 - hmacht@suse.de
- added option # norootforbuild in specfile
* Thu Jul 10 2003 - sbrabec@suse.cz
- Updated to version 1.4.
- Updated chrome list.
* Fri Jun 20 2003 - sbrabec@suse.cz
- Updated to version 1.4rc2.
* Fri Jun 13 2003 - sbrabec@suse.cz
- Updated to version 1.4rc1.
- Fixed chrome directory.
* Wed Apr 02 2003 - ro@suse.de
- fix path for /opt/mozilla/bin/rebuild-databases.sh
* Fri Jan 31 2003 - sbrabec@suse.cz
- Updated to version 1.2.1_030128.
* Wed Dec 11 2002 - sbrabec@suse.cz
- Updated to version 1.2.1_021210.
- Updated to new chrome pack management.
* Thu Nov 21 2002 - sbrabec@suse.cz
- Added mozilla to neededforbuild, otherwise Autobuild fails on %%post
  when installing all built rpms.
* Thu Nov 21 2002 - sbrabec@suse.cz
- Added new package.
